Bug 838589 - RHEVM - Backend: Uninformative logs on exceeding quota limits
RHEVM - Backend: Uninformative logs on exceeding quota limits
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: ofri
Dafna Ron
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 10:36 EDT by Daniel Paikov
Modified: 2016-02-10 15:18 EST (History)
11 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-07-09 10:36:18 EDT
When VMs exceed quota limits, the following event is shown: "Quota <quota> has exceeded Cluster grace limitation". The event should be more informative - are we over-consuming VCPU or VRAM or storage? what's the limit? how much are we consuming?
Comment 4 Dafna Ron 2012-09-02 08:39:48 EDT
checked in si16 - moving back to devel

1. the errors are referring to quota (showing both my existing quota's) instead of cluster/storage name
2. they are too long
3. even if we use correct storage/cluster name, the error is incoherent: 
"Storage Dafna exceeded and blocked operations" is not correct syntax. 

Storage Quota Quota1 exceeded and blocked operation. Current utilization: storage 11.11%, Requested: 116.67% - Please select a different quota or contact your administrator to extend the (cut off in event log)

Cluster Quota Quota2 exceeded and blocked operation. Current utilization: mem:0%, Requested: mem:200% - Please select a different quota or contact your administrator to extend the the (cut off in event log)
Comment 5 Miki Kenneth 2012-09-03 08:59:28 EDT
Totally agree that the message should be changed.
Let's go with:

Storage Quota Quota1 exceeded and operation was blocked. 
Current quota utilization (storage wise) is 11.11%, and the requested value is 116.67%.
Please select a different quota or contact your administrator.

Cluster Quota Quota2 exceeded and operation was blocked. 
Current quota utilization (memory wise) is 0% and the requested values is 200%.
Please select a different quota or contact your administrator .

Can you differentiate between memory and cpu? if so need to have one for cpu as well...
Comment 6 ofri 2012-09-03 09:15:52 EDT
The current diffrentiation between CPU an memory is done inline: 
for example:

 - If both cpu and mem are over the limit:  
Cluster Quota Q2 exceeded and blocked operation. Current utilization: mem:0% cpu:50%, Requested: mem:200% cpu:100% - Please select a different quota or contact your administrator to extend the the quota.

 - If only cpu is over the limit:  
Cluster Quota Q2 exceeded and blocked operation. Current utilization: cpu:50%, Requested: cpu:100% - Please select a different quota or contact your administrator to extend the the quota.

Could you also adress Dafna's suggestion to diffrentiate between user portal and web-admin.
Comment 7 ofri 2012-09-04 06:47:07 EDT
Final Formulation:

Storage-Quota Quota1 limit exceeded and operation was blocked. 
Utilization(used/requested): 11.11%/116.67%. Please select a different quota or contact your administrator.

Cluster-Quota Quota1 limit exceeded and operation was blocked. 
CPU(used/requested): 11.11%/116.67%. mem(used/requested): 11.11%/116.67%. Please select a different quota or contact your administrator.
Comment 8 ofri 2012-09-04 11:15:53 EDT
Posted to Upstream: http://gerrit.ovirt.org/#/c/7747/
Comment 10 Dafna Ron 2012-09-21 05:37:39 EDT
verified on si18
nice work with the tool tip :)

Note You need to log in before you can comment on or make changes to this bug.